# Deprecated API

## Contents

- Terminally Deprecated
- Methods
- Constructors

Terminally Deprecated Elements
Element
Description
org.apache.sling.testing.mock.jcr.MockUserManager.ensureAuthorizablePathExists(String, String, boolean)
use `MockUserManager.ensureAuthorizablePathExists(String, String, String)` instead

Deprecated Methods
Method
Description
org.apache.sling.testing.mock.jcr.MockUserManager.ensureAuthorizablePathExists(String, String, boolean)
use `MockUserManager.ensureAuthorizablePathExists(String, String, String)` instead

Deprecated Constructors
Constructor
Description
org.apache.sling.testing.mock.jcr.MockUserManager()
use `MockUserManager(Session)` instead